package com.bjsxt.springbootjdbc.service.impl;

import com.bjsxt.springbootjdbc.dao.UserDao;
import com.bjsxt.springbootjdbc.pojo.Users;
import com.bjsxt.springbootjdbc.service.UsersService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 用户管理业务层
 */
@Service
public class UsersServiceimpl  implements UsersService {

    @Autowired
    private UserDao userDao;

    /**
     * 添加用户
     * @param users
     */
    @Override
    @Transactional
    public void addUser(Users users) {
        this.userDao.insertUsers(users);
    }

    /**
     * 查询全部用户
     * @return
     */
    @Override
    public List<Users> findUsersAll() {
        return this.userDao.selectUsersAll();
    }
}
